<div class="container p-5">
  <p class="text-center">
    <img class="logo" src="assets/img/logo.png">
  </p>
  <h3 class="pt-4 font-weight-bolder">Register</h3>

  <div *ngIf="errorMessage" class="alert alert-danger mt-4" role="alert">
    {{errorMessage}}
  </div>
  <form [formGroup]="registerForm" (ngSubmit)="onSubmit(registerForm.value)" class="mt-4">
    <div class="form-group">
      <label for="name">Full Name</label>
      <input type="text" class="form-control" [ngClass]="{'is-invalid': !name.valid && !name.untouched}" id="name" formControlName="name" aria-describedby="name-help" placeholder="ex: John Doe" required [formControl]="name">
      <span [hidden]="name.valid || name.untouched">
        <small [hidden]="!email.hasError('required')"  id="name-help" class="form-text text-danger">Name is required</small>
      </span>
    </div>
    <div class="form-group">
      <label for="email">Email address</label>
      <input type="email" class="form-control" [ngClass]="{'is-invalid': !email.valid && !email.untouched}" id="email" formControlName="email" aria-describedby="email-help" placeholder="Enter email" required [formControl]="email">
      <span [hidden]="email.valid || email.untouched">
        <small [hidden]="!email.hasError('required')"  id="email-help" class="form-text text-danger">Email is required</small>
        <small [hidden]="!email.hasError('email')"  id="email-help" class="form-text text-danger">Email is invalid</small>
      </span>
      <small [hidden]="!email.untouched && !email.valid"  id="email-help" class="form-text text-muted">We'll never share your email with anyone else.</small>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" class="form-control" [ngClass]="{'is-invalid': !password.valid && !password.untouched}" id="password" formControlName="password" placeholder="Password" required [formControl]="password">
      <span [hidden]="password.valid || password.untouched">
        <small [hidden]="!password.hasError('required')"  id="password-help" class="form-text text-danger">Password is required</small>
        <small [hidden]="!password.hasError('minlength')"  id="password-help" class="form-text text-danger">Password must be minimum 6 characters</small>
      </span>
    </div>
    <div class="form-group">
      <label for="password2">Retype Password</label>
      <input type="password" class="form-control" [ngClass]="{'is-invalid': !password2.valid && !password2.untouched}" id="password2" formControlName="password2" placeholder="Retype Password" required [formControl]="password2">
      <span [hidden]="password2.valid || password2.untouched">
        <small [hidden]="!password2.hasError('required')"  id="password-help" class="form-text text-danger">Password is required</small>
        <small [hidden]="!password2.hasError('minlength')"  id="password-help" class="form-text text-danger">Password must be minimum 6 characters</small>
        <small [hidden]="registerForm.get('password').value === registerForm.get('password2').value"  id="password-help" class="form-text text-danger">Passwords are not the same</small>
      </span>
    </div>
    <button type="submit" class="btn btn-primary btn-block" type="submit" [disabled]="!registerForm.valid">Register</button>
  </form>
  <br>
  <hr>
  <button type="button" class="btn btn-link btn-block text-center mb-5" (click)="router.navigate(['/login']);">Already have an accont? Login</button>
</div>
